## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSprite2DFactoryState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the sprite factory mesh object. More...

`#include <imesh/sprite2d.h>`

Inheritance diagram for iSprite2DFactoryState:

[legend]
List of all members.

## Public Member Functions

virtual iSprite2DUVAnimation * | CreateUVAnimation ()=0
| Create a new UV animation.
virtual iMaterialWrapper * | GetMaterialWrapper () const =0
| Get material of sprite.
virtual uint | GetMixMode () const =0
| Get mix mode.
virtual iSprite2DUVAnimation * | GetUVAnimation (int idx) const =0
| Get a specific UV animation by index.
virtual iSprite2DUVAnimation * | GetUVAnimation (const char *name) const =0
| Get a specific UV animation by name.
virtual int | GetUVAnimationCount () const =0
| Get the number of UVAnimations.
virtual bool | HasLighting () const =0
| Return the value of the lighting flag.
virtual void | RemoveUVAnimation (iSprite2DUVAnimation *anim)=0
| Remove an UV animation.
virtual void | SetLighting (bool l)=0
| Set true if this sprite needs lighting (default).
virtual void | SetMaterialWrapper (iMaterialWrapper *material)=0
| Set material of sprite.
virtual void | SetMixMode (uint mode)=0
| Set mix mode.

## Detailed Description

This interface describes the API for the sprite factory mesh object.

Definition at line 167 of file sprite2d.h.

## Member Function Documentation

virtual iSprite2DUVAnimation* iSprite2DFactoryState::CreateUVAnimation | ( |  | ) | `[pure virtual]`

| Create a new UV animation.

virtual iMaterialWrapper* iSprite2DFactoryState::GetMaterialWrapper | ( |  | ) | const`[pure virtual]`

| Get material of sprite.

virtual uint iSprite2DFactoryState::GetMixMode | ( |  | ) | const`[pure virtual]`

| Get mix mode.

virtual iSprite2DUVAnimation* iSprite2DFactoryState::GetUVAnimation | ( | int | idx | ) | const`[pure virtual]`

| Get a specific UV animation by index. Returns 0 if not found. Implemented in iSprite2DState.

virtual iSprite2DUVAnimation* iSprite2DFactoryState::GetUVAnimation | ( | const char * | name | ) | const`[pure virtual]`

| Get a specific UV animation by name. Returns 0 if not found. Implemented in iSprite2DState.

virtual int iSprite2DFactoryState::GetUVAnimationCount | ( |  | ) | const`[pure virtual]`

| Get the number of UVAnimations.

virtual bool iSprite2DFactoryState::HasLighting | ( |  | ) | const`[pure virtual]`

| Return the value of the lighting flag.

virtual void iSprite2DFactoryState::RemoveUVAnimation | ( | iSprite2DUVAnimation * | anim | ) | `[pure virtual]`

| Remove an UV animation.

virtual void iSprite2DFactoryState::SetLighting | ( | bool | l | ) | `[pure virtual]`

| Set true if this sprite needs lighting (default). Otherwise the given colors are used. If lighting is disabled then the color_init array is copied to the color array.

virtual void iSprite2DFactoryState::SetMaterialWrapper | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

| Set material of sprite.

virtual void iSprite2DFactoryState::SetMixMode | ( | uint | mode | ) | `[pure virtual]`

| Set mix mode.

The documentation for this struct was generated from the following file:

- imesh/sprite2d.h